# protobufjs-patch

patch protobufjs for doc



- let protobufjs to gen doc for proto file like golang
- fix protobufjs cli bug (https://github.com/protobufjs/protobuf.js/issues/1383)


#### Usage

> If protobufjs is not found in the project, the global node_modules is auto checked

* global
```bash
pbpatch --tags tag1 tag2

# or use: node your/project/path/node_modules/.bin/pbpatch --tags tag1 tag2

# use protobufjs build *.proto
```

* module
```js
import pbpatch from 'protobufjs-patch'
const customTags=['tag1','tag2']
pbpatch(customTags)

// use protobufjs build *.proto
```
